Skip to content
Amplify APIReference

List all Campaigns associated with a Budget

GET/budgets/{id}/campaigns

Note: some campaign properties require using the Extra Field notion

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

the Budget id

Response Body

application/json

curl -X GET "https://example.com/budgets/00f4b02153ee75f3c9dc4fc128ab041962/campaigns"
{  "count": 1,  "campaigns": [    {      "id": "00f4b02153ee75f3c9dc4fc128ab041962",      "name": "Boost 'ABC' Brand",      "marketerId": "00f4b02153ee75f3c9dc4fc128ab04396a",      "onAirReason": "CAMPAIGN_FLY_DATES_PAST",      "enabled": true,      "autoArchived": false,      "currency": "USD",      "lastModified": "2013-04-15 14:52:13",      "creationTime": "2013-01-26 21:17:11",      "cpc": 0.13,      "minimumCpc": 0.1,      "amountSpent": 150,      "targeting": {        "platform": [          "MOBILE",          "DESKTOP"        ],        "locations": [],        "operatingSystems": [          "MacOs",          "Windows"        ],        "browsers": [          "Chrome"        ]      },      "feeds": [        "http://rss.cnn.com/rss/edition.rss",        "http://rss.cnn.com/rss/sport.rss"      ],      "budget": {        "id": "00f4b02153ee75f3c9dc4fc128ab041962",        "name": "Boost 'ABC' Brand budget",        "shared": false,        "amount": 100,        "currency": "USD",        "amountRemaining": 100,        "amountSpent": 0,        "creationTime": "2013-10-16 12:24:01",        "lastModified": "2013-10-16 12:24:01",        "startDate": "2013-11-16",        "runForever": false,        "type": "CAMPAIGN",        "pacing": "DAILY_TARGET",        "dailyTarget": 200,        "maximumAmount": 200      },      "suffixTrackingCode": "trck=12",      "prefixTrackingCode": {        "prefix": "http://www.marketersServer.com?redirectTo=",        "encode": true      },      "liveStatus": {        "campaignOnAir": false,        "onAirReason": "Campaign Fly Dates",        "amountSpent": 523.35      }    }  ],  "marketerBlockedSites": {    "blockedPublishers": [      {        "id": "00b3ab380551a6f472014ed47cd3e68268",        "name": "Abc",        "creationTime": "2017-12-07 09:47:56"      }    ],    "blockedSections": [      {        "id": "001b044a932722469d1e453b8415055b5a",        "name": "Def",        "publisher": {          "id": "00b3ab380551a6f472014ed47cd3e68268",          "name": "AdvertiserBlacklistReadTest-1B5Nk"        },        "creationTime": "2017-12-07 09:47:57"      }    ]  }}